﻿using System.Collections.Generic;

namespace UDKDevKitVSX.Interfaces
{
    public interface IUdkDebugCommandsProcessor
    {
        void EditorLoadClass(string className);

        void EditorGotoLine(int lineNumber);

        void Stop();

        void AddWatches(int watchList, IList<AddWatchRecord> properties);

        void CallStackClear();

        void CallStackAdd(string callStackEntry);
    }
}
