﻿namespace UDKDevKitVSXDebugEngine.Definitions
{
    public class Constants
    {
        public static int E_WIN32_ALREADY_INITIALIZED;

        public static int E_WIN32_INVALID_NAME;

        public static int RPC_E_SERVERFAULT;

        /*Success.*/
        public static int S_OK = unchecked((int)0x00000000);

        public static int S_FALSE = unchecked((int)0x00000001);

        /*Unexpected failure.*/
        public static int E_UNEXPECTED = unchecked((int)0x8000FFFF);

        /*Not implemented.*/
        public static int E_NOTIMPL = unchecked((int)0x80004001);

        /*Not enough memory to complete the operation.*/
        public static int E_OUTOFMEMORY = unchecked((int)0x8007000E);

        /*One or more arguments are invalid.*/
        public static int E_INVALIDARG = unchecked((int)0x80070057);

        /*No such interface supported.*/
        public static int E_NOINTERFACE = unchecked((int)0x80004002);

        /*Invalid pointer.*/
        public static int E_POINTER = unchecked((int)0x80004003);

        /*Invalid handle.*/
        public static int E_HANDLE = unchecked((int)0x80070006);

        /*Operation aborted.*/
        public static int E_ABORT = unchecked((int)0x80004004);

        /*Unexpected failure.*/
        public static int E_FAIL = unchecked((int)0x80004005);

        /*General access denied error.*/
        public static int E_ACCESSDENIED = unchecked((int)0x80070005);
    }
}
