﻿namespace UDKDevKitVSXDebugEngine.Extentions
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;

    public abstract class Expression
    {
        public Expression(string expression, Engine engine)
        {
            this.ExpressionText = expression;
            this.Engine = engine;
        }

        public string ExpressionText
        {
            get;
            private set;
        }

        public Engine Engine
        {
            get;
            private set;
        }

        public abstract object Evaluate();
    }
}
